package com.zjsgfa.project.zjsgfa.service;

import java.util.List;
import com.zjsgfa.project.zjsgfa.domain.SgfambTjpz;

/**
 * 施工方案模板-条件配置Service接口
 * 
 * @author ruoyi
 * @date 2025-09-25
 */
public interface ISgfambTjpzService 
{
    /**
     * 查询施工方案模板-条件配置
     * 
     * @param id 施工方案模板-条件配置主键
     * @return 施工方案模板-条件配置
     */
    public SgfambTjpz selectSgfambTjpzById(Long id);

    /**
     * 查询施工方案模板-条件配置列表
     * 
     * @param sgfambTjpz 施工方案模板-条件配置
     * @return 施工方案模板-条件配置集合
     */
    public List<SgfambTjpz> selectSgfambTjpzList(SgfambTjpz sgfambTjpz);

    /**
     * 新增施工方案模板-条件配置
     * 
     * @param sgfambTjpz 施工方案模板-条件配置
     * @return 结果
     */
    public int insertSgfambTjpz(SgfambTjpz sgfambTjpz);

    /**
     * 修改施工方案模板-条件配置
     * 
     * @param sgfambTjpz 施工方案模板-条件配置
     * @return 结果
     */
    public int updateSgfambTjpz(SgfambTjpz sgfambTjpz);

    /**
     * 批量删除施工方案模板-条件配置
     * 
     * @param ids 需要删除的施工方案模板-条件配置主键集合
     * @return 结果
     */
    public int deleteSgfambTjpzByIds(Long[] ids);

    /**
     * 删除施工方案模板-条件配置信息
     * 
     * @param id 施工方案模板-条件配置主键
     * @return 结果
     */
    public int deleteSgfambTjpzById(Long id);
}
